Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum TextMarkup.MarkupTypeEnum

    java.lang.Object
      java.lang.Enum<TextMarkup.MarkupTypeEnum>
          org.pdfclown.documents.interaction.annotations.TextMarkup.MarkupTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<TextMarkup.MarkupTypeEnum>

Enclosing class:
  TextMarkup

    public static enum TextMarkup.MarkupTypeEnum

extends Enum<TextMarkup.MarkupTypeEnum>

Markup type [PDF:1.6:8.4.5].

Enum Constant Summary
`Highlight` Highlight.
`Squiggly` Squiggly.
`StrikeOut` StrikeOut.
`Underline` Underline.

Method Summary
`static TextMarkup.MarkupTypeEnum` | `get(PdfName value)` Gets the markup type corresponding to the given value.
`PdfName` | `getCode()`
`static TextMarkup.MarkupTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TextMarkup.MarkupTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Highlight

    @PDF(value=PDF13)
    public static final TextMarkup.MarkupTypeEnum Highlight

  Highlight.

### Squiggly

    @PDF(value=PDF14)
    public static final TextMarkup.MarkupTypeEnum Squiggly

  Squiggly.

### StrikeOut

    @PDF(value=PDF13)
    public static final TextMarkup.MarkupTypeEnum StrikeOut

  StrikeOut.

### Underline

    @PDF(value=PDF13)
    public static final TextMarkup.MarkupTypeEnum Underline

  Underline.

Method Detail

### values

    public static TextMarkup.MarkupTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextMarkup.MarkupTypeEnum c : TextMarkup.MarkupTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextMarkup.MarkupTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static TextMarkup.MarkupTypeEnum get(PdfName value)

  Gets the markup type corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.